Package ghidra.app.cmd.function

# Class CreateExternalFunctionCmd

java.lang.Object
ghidra.app.cmd.function.CreateExternalFunctionCmd

All Implemented Interfaces:
  `Command<Program>`

public class CreateExternalFunctionCmd extends Object implements Command<Program>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateExternalFunctionCmd(Namespace externalParentNamespace, String name, Address address, SourceType source)`
  Create an external function in the specified external namespace.
  `CreateExternalFunctionCmd(Symbol extSymbol)`
  Create an external function
  `CreateExternalFunctionCmd(String libraryName, String name, Address address, SourceType source)`
  Create an external function

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Applies the command to the given domain object.
  `Symbol`
  `getExtSymbol()`
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateExternalFunctionCmd

    public CreateExternalFunctionCmd(Symbol extSymbol)
    Create an external function
    Parameters:
      `extSymbol` - a non-function external symbol

  - ### CreateExternalFunctionCmd

    public CreateExternalFunctionCmd(String libraryName, String name, Address address, SourceType source)
    Create an external function
    Parameters:
      `libraryName` - library name, if null the UNKNOWN library will be used
      `name` - function name (required)
      `address` - the address of the function's entry point in the external library (optional)
      `source` - the source type for this external function

  - ### CreateExternalFunctionCmd

    public CreateExternalFunctionCmd(Namespace externalParentNamespace, String name, Address address, SourceType source)
    Create an external function in the specified external namespace.
    Parameters:
      `externalParentNamespace` - the external parent namespace where the named function should be created (required)
      `name` - function name (required)
      `address` - the address of the function's entry point in the external library (optional)
      `source` - the source type for this external function

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command

  - ### getExtSymbol

    public Symbol getExtSymbol()